#include "Arduino.h"
#include "avdweb_Switch.h"
#include <Adafruit_NeoPixel.h>


const byte buttonpin1 = 0;
const byte buttonpin2 = 1;
const byte buttonpin3 = 2;
const byte buttonpin4 = 3;
const byte buttonpin5 = 4;
const byte buttonpin6 = 5;

int i;

Switch button1 = Switch(buttonpin1);
Switch button2 = Switch(buttonpin2);
Switch button3 = Switch(buttonpin3);
Switch button4 = Switch(buttonpin4);
Switch button5 = Switch(buttonpin5);
Switch button6 = Switch(buttonpin6);

#define PIXEL_COUNT 60 // On définit le nombre de LED compris sur le Ruban de LED.
#define PIXEL_PIN 7
Adafruit_NeoPixel strip = Adafruit_NeoPixel(PIXEL_COUNT, PIXEL_PIN, NEO_GRB + NEO_KHZ800); // Paramètre l'objet strip qui correspond à toute les LED du ruban.


void setup(){
  Serial.begin(9600);

 strip.begin(); // Lance la connection
strip.show(); // Initialise toute les led à 'off'
strip.setBrightness(100); //On défini l'intensité lumineuse du bandeau LED


}
int RED[3] = {255, 0, 0}; // Couleur Rouge
int GREEN[3] = {0, 255, 0}; // Couleur Verte
 int CYAN[3] = {0, 255, 255}; // Couleur Cyan
int YELLOW[3] = {255, 125, 0}; // Couleur Jaune
int ORANGE[3] = {255, 40, 0}; // Couleur Orange
int PURPLE[3] = {255, 0 , 255}; // Couleur Violette
int PINK[3] = {255, 0, 100}; // Couleur Rose
int BLUE[3] = {0, 0, 255}; // Couleur Bleu
int WHITE[3] = {255, 255, 255}; // Couleur Blanche
int BROWN[3] = {165, 42, 42}; // Coleur Marron
int OFF[3] = {0, 0, 0}; // Éteint

void allLeds(int COLOR[]) //Paramètre le allLeds pour pouvoir le réutiliser de manière simplifié.
{
for(int i = 0 ; i < PIXEL_COUNT ; i++)
{
strip.setPixelColor(i, COLOR[0], COLOR[1], COLOR[2]);
}
strip.show();
}

void loop(){
  button5.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button5.on()){  //Si le bouton 5 est sur on alors affichage de la première banque de couleurs.
   button1.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button1.switched()){ 
    Serial.print("button6 On ");
    allLeds(YELLOW);
}
button2.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button2.switched()){ 
    Serial.print("button6 On ");
    allLeds(CYAN);
}
button3.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button3.switched()){ 
    Serial.print("button6 On ");
    allLeds(PURPLE);
}
button4.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button4.switched()){ 
    Serial.print("button6 On ");
    allLeds(BROWN);
}
  }
else {
    button1.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button1.switched()){ 
    Serial.print("button6 On ");
    allLeds(ORANGE);
}
button2.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button2.switched()){ 
    Serial.print("button6 On ");
    allLeds(BLUE);
}
button3.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button3.switched()){ 
    Serial.print("button6 On ");
    allLeds(GREEN);
}
button4.poll();  // On sonde le bouton 6 en permanance.(Même principe pour les autres)
  if(button4.switched()){ 
    Serial.print("button6 On ");
    allLeds(RED);
}
}
}
